
#pragma once

#include <comdef.h>
#include "adoce31_i.c"
#include "adoce31.h"

//#include "StdAfx.h"

class CADOCE
{
private:
	IADOCEConnection*	m_adoceCon;
	IADOCERecordset*	m_adoceRec;
	IADOCEFields*		m_adoceFields;
	IADOCEField*		m_adoceField;

public:
	CADOCE(void);
	~CADOCE(void);

public:
	
	BOOL SQLInit();

	BOOL SQLConnection(BSTR bstrCon);

	BOOL SQLExecute(BSTR bstrCmd);

	IADOCEFields* GetFields();
	IADOCEField* GetField(int iField);

	LONG	GetFieldCount();	

	LPCWSTR GetFieldName(int iField);

	VARIANT GetFieldValue(int iField);

	LPCWSTR GetFieldValueString(int iField);

	BOOL MoveFirst();
	BOOL MoveNext();
	BOOL IsEOF();

	void SQLClose();
	void SQLUnInit();
};
